--------------------------------------------------------------------------------
--  File     : Smithy
--  Author(s): Prokopovich Larisa
--
--  Summary  : Скрипт управления локацией.
--
--  Copyright © 2012 Floodlight Games.  All rights reserved.
--------------------------------------------------------------------------------
function OnFirstEntry()
	stars:Show("M_TO_LAB", "2")
	stars:Show("M_WORKPLACE", "2")
	room.sfx:Play ("jingle_10_boom")			--звук джингла при первом входе
	music:Stop(false)
	music:PlayLoopWithDelay(0, "horror_6")
end
--------------------------------------------------------------------------------
function OnEntry()
	music:PlayLoopWithDelay(0, "horror_6")
	ambient:Play("Smithy")
end
--------------------------------------------------------------------------------
function OnMouseClickOnItem(item)
	local itemName = item:GetName()
	
	if itemName == "M_TO_STREET" then								--выход на деревенскую улицу
		chapter:JumpRoom("Village_street")
		return true
	
	elseif itemName == "M_TO_LAB" then
		chapter:JumpCloseup("Smithy_Chemical_lab")					--переход в close-up с пепелацем
		return true
	elseif itemName == "M_WORKPLACE" then
		chapter:JumpCloseup("Smithy_Workplace")						--переход в close-up с рабочим местом
		return true
	end
end
--------------------------------------------------------------------------------
function OnClickItemOnItem(item)					
	local itemName = item:GetName()
	
	if itemName == "M_TO_LAB" then
		chapter:JumpCloseup("Smithy_Chemical_lab")							--переход в close-up с пепелацем
		return true
	elseif itemName == "M_WORKPLACE" then
		chapter:JumpCloseup("Smithy_Workplace")								--переход в close-up с рабочим местом
		return true
	end
end
--------------------------------------------------------------------------------
function OnChapterStoreEvent_Close_up_Smithy_Lab(value)						--закрыть close-up с лабораторией
	room:GetItem("M_TO_LAB"):Hide()
end
--------------------------------------------------------------------------------
function OnChapterStoreEvent_Close_up_Smithy_Workplace(value)				--закрыть close-up с рабочим местом
	if value == 1 then
		room:GetItem("FIRE"):Show()
	elseif value == 2 then
		room:GetItem("M_WORKPLACE"):Hide()
	end
end
-------------------------------------------------------------------------------
function OnChapterStoreEvent_Cheat_Smithy(value)				--выполнить все в локации  !!!
	cstore:SetKey("Close_up_Smithy_Lab", true)
end


	